| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
wxImageHistogram Class Reference

`#include <wx/image.h>`

Inheritance diagram for wxImageHistogram:
[legend]

## Public Member Functions
| wxImageHistogram ()
bool | FindFirstUnusedColour (unsigned char *r, unsigned char *g, unsigned char *b, unsigned char startR=1, unsigned char startG=0, unsigned char startB=0) const

## Static Public Member Functions
static unsigned long | MakeKey (unsigned char r, unsigned char g, unsigned char b)

## Constructor & Destructor Documentation

wxImageHistogram::wxImageHistogram | ( |  | ) |

## Member Function Documentation

bool wxImageHistogram::FindFirstUnusedColour | ( | unsigned char * | r,
|  | unsigned char * | g,
|  | unsigned char * | b,
|  | unsigned char | startR = `1`,
|  | unsigned char | startG = `0`,
|  | unsigned char | startB = `0`
| ) |  | const

static unsigned long wxImageHistogram::MakeKey | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) |  |
| static